{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context.noPermission %}
        <div style="padding-top: 2em;">
            <div align="center">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold; color: red">Access Denied</span><br>
            </div>
        </div>
    {% else %}
        <div style="padding-top: 1em;">
            <div align="center" style="line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 641013</span><br>
                <span style="font-size: 1.9em;font-stretch: semi-expanded;font-weight: bold">Department of {{ context.staffCourseInstance.department }}</span><br>
                <span style="font-size: 1.5em;font-stretch: semi-expanded">Regulations 2016(CBCS)</span><br>
                <span style="font-size: 1.5em;font-stretch: semi-expanded;text-decoration: underline;font-weight: 600">QUIZ {{ context.unitTestNumber }} Report</span><br>
                <span style="font-size: 1.5em;font-stretch: semi-expanded">{{ context.staffCourseInstance.course }}</span><br>
            </div>
            <div><br></div>
            <div style="border: dashed;line-height: 20px;padding-left: 2em">
            </div>
        </div>
        <div><br></div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <th style="width: 10%; font-weight: bolder">
                    S.No.
                </th>
                <th style="font-weight: bolder; width: 25%; word-wrap: break-word">Register Number</th>
                <th style="font-weight: bolder; width: 40%; word-wrap: break-word">Student Name</th>
                <th style="font-weight: bolder; width: 25%; word-wrap: break-word">Marks Obtained (out
                    of {{ context.data.maximumMarks }})
                </th>
            </tr>
            </thead>
            <tbody>
            {% for student in context.data.studentList %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ student.registerNumber }}</td>
                    <td style="text-indent: 0.5em">{{ student.studentName }}</td>
                    <td align="center">{{ student.totalMarks }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br>
        <br><br><br><br>
        <table>
            <tr>
                <div style="width: 50%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                        Course</strong>
                    </td>
                </div>
                <div style="width: 50%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                        the Faculty-Incharge of the Course</strong>
                    </td>
                </div>
            </tr>
        </table>
        <br><br><br><br>
        <table>
            <tr>
                <div style="width: 33%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme
                        Co-ordinator</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                        the student</strong>
                    </td>
                </div>
            </tr>
        </table>
    {% endif %}
{% endblock %}